%define upstream_name    Search-Tools
%define upstream_version 1.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    High-performance tools for building search applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/K/KA/KARMAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor) >= 0.140.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Encode)
BuildRequires: perl(Encoding::FixLatin)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(Moo)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Search::Query) >= 0.300.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl-devel
%description
This distribution is a set of utilities for building search
applications. Rather than adhering to a particular search application or
framework, the goal of Search::Tools is to provide general-purpose
methods for common search application features. Think of Search::Tools
like a toolbox rather than a hammer.
 
%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.7.0-12.mga10
+ Revision: 2226696
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 1.7.0-11.mga10
+ Revision: 2089264
- Rebuild for perl-5.40

* Wed Nov 29 2023 tv <tv> 1.7.0-10.mga10
+ Revision: 2011398
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.7.0-9.mga9
+ Revision: 1862921
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.7.0-8.mga9
+ Revision: 1796349
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.7.0-7.mga9
+ Revision: 1727690
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 1.7.0-6.mga8
+ Revision: 1595663
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.7.0-5.mga8
+ Revision: 1530097
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.7.0-4.mga8
+ Revision: 1433892
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.7.0-3.mga7
+ Revision: 1293751
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.7.0-2.mga7
+ Revision: 1250111
- Rebuild for perl 5.28

* Sat May 05 2018 shlomif <shlomif> 1.7.0-1.mga7
+ Revision: 1226453
- update to 1.007

* Mon Apr 09 2018 tv <tv> 1.6.0-5.mga7
+ Revision: 1216829
- fix filelist
+ kekepower <kekepower>
- Update to version 1.006

* Tue Oct 03 2017 tv <tv> 1.4.0-5.mga7
+ Revision: 1166435
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.4.0-4.mga7
+ Revision: 1149924
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.4.0-3.mga7
+ Revision: 1126649
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.4.0-2.mga6
+ Revision: 1033024
- Rebuild for perl 5.22.2

* Thu Mar 24 2016 shlomif <shlomif> 1.4.0-1.mga6
+ Revision: 994865
- update to 1.004

* Fri Feb 12 2016 umeabot <umeabot> 1.3.0-3.mga6
+ Revision: 957952
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.3.0-2.mga6
+ Revision: 845235
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.3.0-1.mga6
+ Revision: 841708
- update to 1.003

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 750793
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 1.2.0-1.mga5
+ Revision: 665428
- update to 1.002

* Thu Jul 24 2014 sander85 <sander85> 1.1.0-1.mga5
+ Revision: 656316
- update to 1.001

* Tue Jun 03 2014 jquelin <jquelin> 1.0.0-2.mga5
+ Revision: 632315
- perl 5.20.0 rebuild

* Fri Apr 25 2014 shlomif <shlomif> 1.0.0-1.mga5
+ Revision: 617975
- update to 1.000

* Mon Mar 03 2014 jquelin <jquelin> 0.990.0-1.mga5
+ Revision: 598734
- update to 0.99

* Sat Feb 08 2014 sander85 <sander85> 0.980.0-1.mga5
+ Revision: 585936
- update to 0.98

* Mon Oct 21 2013 umeabot <umeabot> 0.970.0-2.mga4
+ Revision: 539259
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 0.970.0-1.mga4
+ Revision: 491704
- update to 0.97

* Sat Jun 22 2013 shlomif <shlomif> 0.960.0-1.mga4
+ Revision: 445681
- New version 0.96

* Mon Jun 10 2013 jquelin <jquelin> 0.950.0-1.mga4
+ Revision: 441737
- update to 0.95

* Fri Jun 07 2013 jquelin <jquelin> 0.940.0-1.mga4
+ Revision: 439877
- update to 0.94

* Wed May 29 2013 jquelin <jquelin> 0.860.0-4.mga4
+ Revision: 431740
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.860.0-3.mga4
+ Revision: 431254
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.860.0-2.mga3
+ Revision: 372559
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.860.0-1.mga3
+ Revision: 342587
- update to 0.86

* Thu Jan 03 2013 shlomif <shlomif> 0.850.0-1.mga3
+ Revision: 338106
- New version

* Sat Oct 27 2012 shlomif <shlomif> 0.840.0-1.mga3
+ Revision: 310847
- New version 0.84

* Mon Oct 15 2012 jquelin <jquelin> 0.830.0-1.mga3
+ Revision: 306240
- update to 0.83

* Mon Oct 01 2012 jquelin <jquelin> 0.820.0-1.mga3
+ Revision: 301287
- update to 0.82

* Fri Sep 07 2012 kharec <kharec> 0.810.0-1.mga3
+ Revision: 289184
- update to 0.81

* Wed Sep 05 2012 kharec <kharec> 0.800.0-1.mga3
+ Revision: 288427
- update to 0.80

* Wed Aug 29 2012 kharec <kharec> 0.790.0-1.mga3
+ Revision: 285351
- update to 0.79

* Thu May 31 2012 jquelin <jquelin> 0.740.0-1.mga3
+ Revision: 252162
- update to 0.74
- remove bogus buildrequires
- rebuild for perl 5.16

* Fri Feb 24 2012 kharec <kharec> 0.700.0-1.mga2
+ Revision: 213831
- Add a BR on perl(Search::Tools)
- update to 0.70

* Wed Feb 22 2012 kharec <kharec> 0.690.0-1.mga2
+ Revision: 212156
- update to 0.69

* Tue Feb 21 2012 kharec <kharec> 0.680.0-1.mga2
+ Revision: 211712
- update to 0.68

* Tue Dec 06 2011 kharec <kharec> 0.660.0-1.mga2
+ Revision: 177273
- update to 0.66

* Sun Dec 04 2011 dmorgan <dmorgan> 0.650.0-3.mga2
+ Revision: 176602
+ rebuild (emptylog)

* Sun Dec 04 2011 fwang <fwang> 0.650.0-2.mga2
+ Revision: 175827
- it is not a noarch package

* Sat Dec 03 2011 kharec <kharec> 0.650.0-1.mga2
+ Revision: 175528
- hardcode lib path for build purpose
- Fix file list
- Fix file list
- add BR on perl-devel
- imported package perl-Search-Tools

